Loading...
Searching...
No Matches
pcl::DenseQuantizedSingleModTemplate Struct Reference

`#include <pcl/recognition/dense_quantized_multi_mod_template.h>`

## Public Member Functions

void | serialize (std::ostream &stream) const
void | deserialize (std::istream &stream)

## Public Attributes

std::vector< unsigned char > | features

## Detailed Description

Definition at line 47 of file dense_quantized_multi_mod_template.h.

## Member Function Documentation

## deserialize()

void pcl::DenseQuantizedSingleModTemplate::deserialize | ( | std::istream & | stream | ) |

inline

Definition at line 63 of file dense_quantized_multi_mod_template.h.

References features, and pcl::read().

## serialize()

void pcl::DenseQuantizedSingleModTemplate::serialize | ( | std::ostream & | stream | ) | const

inline

Definition at line 52 of file dense_quantized_multi_mod_template.h.

References features, and pcl::write().

## Member Data Documentation

## features

std::vector<unsigned char> pcl::DenseQuantizedSingleModTemplate::features

Definition at line 49 of file dense_quantized_multi_mod_template.h.

Referenced by deserialize(), and serialize().

The documentation for this struct was generated from the following file:

- pcl/recognition/dense_quantized_multi_mod_template.h